@use "../theme";

.page-api-specification {
    .header-bar {
        display: flex;
        flex-direction: column-reverse;
        align-items: flex-start;

        @media only screen and (min-width: theme.$sm) {
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
        }

        h1 {
            margin: 0;
        }

        a {
            font-weight: theme.$fontWeightBold;
            text-decoration: none;
            margin-bottom: theme.$spacing04;

            @media only screen and (min-width: theme.$sm) {
                margin-bottom: 0;
            }
        }
    }

    .subtitle {
        font-weight: theme.$fontWeightRegular;
        margin-top: 0;
    }

    .docs-title {
        font-size: theme.$fontSizeXLarge;
        margin-left: 1rem;

        @media only screen and (min-width: theme.$lg) {
            margin-left: theme.$spacing08;
        }
    }

    #specification-wrapper {
        background-color: lighten(theme.$colorBrand, 47%);
        box-shadow: 0px 0px 20px 0px #0b2b9e26;

        @media only screen and (min-width: theme.$lg) {
            margin: 0 theme.$spacing08 theme.$spacing09 theme.$spacing08;
        }

        .jXGrsB,
        .iDSZJU {
            background: theme.$colorBrandLink;
        }

    }
}
